@import "Focus/Source/mixins";

// Resume wizard

// Resume wizard modals
.resumePreviewModal { 
	max-width:846px;
	.dataInputLabel { 
		font-size:16px;
		padding:4px 15px 0 0;
	}
	.dataInputField	{ 
		//padding-right:40px;
	}
	.resumePreviewDisplay { 
		margin-top:20px;
	}
	.resumePreviewFormattedOutput	{ 
		height:400px;
		overflow-x: hidden; 
		overflow-y:auto; 
		text-decoration:none; 
		border:1px solid #264c69; 
		padding-left:10px;
	}

    .previewScrollPane {
        overflow-y:auto;
        overflow-x:hidden;
    }
}

.resumeDownloadModal { 
	max-width:450px;
	.modalTitle { 
		padding-left:0;
	}
	.dataInputRow { 
		margin:15px 0;
	}
	.dataInputLabel	{ 
		font-size:16px; 
		width:170px; 
		margin-right:20px;
	}
	.dataInputField	{ 
		width:220px;
	}
}

.resumeEmailModal { 
	max-width:500px;
	.modalTitle	{ 
		padding-left:0;
	}
	.dataInputRow	{ 
		margin:15px 0; 
	}
	.dataInputLabel	{ 
		font-size:16px; 
		width:170px; 
		margin-right:20px; 
	}
	.dataInputField	{ 
		width:270px;
	}
	.emailDetailPanel	{ 
		background:#efeef3; 
		border:1px solid #d9d7e4; 
		@include rounded(6px, 6px, 6px, 6px);
		padding:10px;
		.dataInputLabel	{ 
			width:160px; 
		}
		input[type="text"] { 
			background-color:#fff; 
		}
	}

    .emailScrollPane {
        overflow-y:auto;
        overflow-x:hidden;
    }
}

.resumeHideInfoModal { 
	select.ListBox { 
		display:block;
       	width:400px;
        max-width:90% !important;
	}
	.hiddenSections	{ 
		height:190px; 
		padding-left:10px;
		overflow-x: hide; 
		overflow-y:auto; 
		border:1px solid #e4e3e8; 
		border-top:1px solid #b0b1b3; 
        label   {
            display:inline;
        }
	}
	.resumeHideInfoModalSection	{ 
		margin:5px 0;
	}
}

.resumeCheckDatesModal { 
	max-width:500px; 
}

.resumeConfirmDeleteJobModal,
.resumeJobValidationModal,
.resumeDegreeValidationModal { 
	max-width:450px; 
}

.resumeStatementSelectionModal { 
	max-width:440px;
}

// Resume wizard common styling
.defaultResumeActions	{ 
	margin:25px 0 15px 0;
	.dataInputLabel	{ 
		width:100px; 
		margin-right:25px; 
		padding-top:4px;
	}
	a	{ 
		display:inline-block; 
		margin-left:25px; 
	}
}
.resumeSection { 
	margin-top:15px;
	.resumeSectionHelpText{
		margin-bottom:10px;
	}
	.resumeSectionAction { 
		text-align:right;
	}
}
.resumeSectionContent	{ 
	margin:15px 0;
	.buttonLeft	{ 
		margin-left:0;
	}
	.defaultSubSection { 
		margin-bottom:20px;
	}
	.resumeSectionSubHeading { 
		border-bottom:1px solid #224b67; 
		color:#264c69; 
		padding:0 0 6px 6px; 
		font-size:16px; 
		font-weight:bold; 
		margin-top:20px;
	}
	.collapsiblePanel	{ 
		border-top:1px dashed #000; 
		border-bottom:1px dashed #000; 
	}
	.collapsiblePanelHeader	{ 
		position:relative; 
		//height:25px; 
		text-transform:uppercase; 
		color:#000; 
		font-size:16px; 
		font-weight:bold; 
		cursor:pointer; 
		background:#f1f0f5;
		.cpIcon	{ 
			position:absolute; 
			left:3px; 
			top:3px; 
			width:19px; 
			height:19px; 
			background:url(Images/icon_accordion_close_off.png) no-repeat; 
			cursor:pointer; 
		}
	}
	.collapsiblePanelHeaderLabel { 
		position:static; 
		display:block; 
		margin-left:34px; 
		padding-top:2px;
		a	{
			text-decoration:none;
			color:#000
		}
	}
	.cpCollapsed .cpIcon { 
		background-image:url(Images/icon_accordion_open_off.png); 
	}
	.collapsiblePanelContent { 
		padding:10px 10px 10px 34px; 
		background:#f1f0f5; 
		color:#000; 
	}
}

// Resume wizard work history list
.resumeJobList { 
	margin:25px 0; 
	width:100%; 
	border-collapse: separate; 
	border-spacing:0;
	td { 
		border-width: 0; 
		border-top:1px solid #264c69; 
		padding:10px 0;
		&:first-child	{ 
			width:850px; 
			font-weight:bold; 
		}
	}
}

// Resume wizard "add a job"
.resumeAddJob { 
	font-size:0;
	input[type="text"] { 
		height:19px;
		width:350px;
		max-width:100%; 
	}
	.dataInputRow	{ 
		margin:15px 0; 
	}
	#inputRowEndDate { 
		margin:0 !important; 
	}
	.dataInputLabel { 
		//width:110px; 
		font-size:16px; 
		line-height:25px;
	}
	.dataInputField { 
		width:350px;
		max-width:100%;
		vertical-align:top;
	}
	.dataInputFieldNoLabel { 
		//margin-left:110px;
	}
	.dataInputGrouped { 
		//display:inline-block; 
		//width:466px; 
		vertical-align:top;
	}
	.dataInputGroupedItemVertical { 
		margin:0 0 15px 0;
	}
	.instructionalTextBlock { 
		display:inline-block; 
		//width:600px; 
		text-align:justify; 
		//margin-left:10px; 
		vertical-align:top;
	}
	.currentlyWorkHere { 
		display:inline-block; 
		position:relative; 
		top:4px; 
		margin-left:10px;
	}
}

// Resume wizard "Job title"
.resumeJobTitle { 
	font-size:0;
	.dataInputLabel	{ 
		width:205px; 
		font-size:16px; 
		margin-right:20px;
	}
	.dataInputField	{
		//width:750px;
	}
}
.otherJobActivities{
	height:300px;
	overflow:auto;
	@media (max-width:480px) and (orientation:portrait)    {
	height:150px;
	}
	@media (max-width:920px) and (orientation:landscape){
	height:100px;
	}
}

// Resume wizard Work Activities tab
.resumeWorkActivities { 
	margin:10px 0;
	.resumeWorkActivitiesStatements { 
		border-top:1px solid #224B67; 
		border-bottom:1px solid #224B67; 
		padding:10px 0;
		.workActivityQuestion	{ 
			margin-bottom:10px;
		}
		.workActivityQuestionPrompt { 
			font-weight:bold;
		}
		.workActivityQuestionAnswer { 
			padding-left:50px;
			input[type="checkbox"] { 
				margin-right:10px;
			}
			label { 
				margin-right:25px;
			}
		}
		.otherworkActivityQuestionAnswer{
			label{
			margin-right:10px;
			}
		}		
	}
}
.selectedQuestionsInner { 
	padding:5px; 
	background-color:#e6e4ee; 
	-webkit-box-shadow:4px 4px 10px rgba(50,50,50,0.4);
	-moz-box-shadow:4px 4px 10px rgba(50,50,50,0.4);
	box-shadow:4px 4px 10px rgba(50,50,50,0.4);
}

// Resume wizard Job Description tab
.resumeJobDescription { 
	font-size:0; 
	border-top:1px solid #224B67; 
	padding:20px 0;
}
.resumeJobDescriptionSelected { 
	display:inline-block; 
	//width:618px; 
	margin-right:20px;
	vertical-align:top; 
}
.resumeJobDescriptionOptions { 
	display:inline-block; 
	//width:444px; 
	vertical-align:top; 
	font-size:16px;
	.collapsiblePanel { 
		margin-bottom:20px;
	}
	.collapsiblePanelContent { 
		height:195px;
		overflow-y:scroll;
		input[type="checkbox"] { 
			display:inline-block; 
			margin-right:10px; 
			vertical-align:top;
		}
		label { 
			display:inline; 
			//width:355px; 
			vertical-align:top; 
			margin-bottom:5px;
		}
	}	
}
.resumeJobDescriptionInstructions { 
	width: 100%;
	white-space: normal;
	color: #fff;
	@media (min-width:768px){
		margin-left:20px;
	}
}

// Resume wizard Contact tab
.resumeContact { 
	font-size:0;
	.dataInputLabel { 
		font-size:16px; 
		line-height:25px;
		//width:110px; 
		margin-right:10px; 
	}
	.resumeContactLeft { 
		display:inline-block; 
		//width:420px; 
		vertical-align:top;
        //margin-right:25px;

	}
	.resumeContactRight { 
		display:inline-block; 
		vertical-align:top; 
		.dataInputLabel { 
			//width:auto; 
			max-width:120px; 
		}
        @media (max-width:992px)    {
            .dataInputLabel { 
                //width:110px; 
                margin-right:10px; 
            }
        }
	}
	input[type="text"] { 
		font-size:15px;
		height:19px;
	}
	.dataInputRow { 
		margin:15px 0;
	}
	.dataInputGroupedItemVertical { 
		margin:0 0 15px 0;
		.dataInputGroupedItemHorizontal:first-child	{ 
			margin-right:5px;
		}
	}
	.lastName { 
		//margin-left:25px;
	}
	.additionalPhoneNumberControl { 
		margin:0 0 15px 0; 
		font-size:16px; 
		display:block;
	}

    #AddressTextBox {
        width:768px
    }
    #Address2TextBox {
        width:768px
    }
    @media (min-width:768px)    {    
    .col-addr    {
        width:10.3333%
    }
    }

    @media (max-width:768px)
    {
        #AddressTextBox {
        width:100%
        }
        #Address2TextBox {
        width:100%
        }
    }
}

// Resume wizard Education tab
.resumeEducation { 
	padding:0 6px;
	p.instructionalText { 
		margin-top:5px;
	}
	span.instructionalText { 
		padding-left:10px;
	}
	.requiredData { 
		font-size:15px; 
		display:inline; 
		line-height:22px;
	}
	.inFieldLabel { 
		font-size:13px; 
		color:#000;
	}
	.dataInputRow a { 
		font-size:15px; 
		line-height:22px;
	}
	.dataInputGroupedItemHorizontal { 
		margin-right:20px;
	}
	input[type="text"] { 
		font-size:15px;
		height:19px;
	}
	input[type="tel"] { 
		font-size:15px;
		height:19px;
	}
	input[type="radio"] { 
		position:relative; 
		top:2px;
	}

    #EducationLevelSpan select, #DegreeCountrySpan select, #DegreeStateSpan select{
        width:300px
    }
    #DegreeSpan input {
        width:432px
    }

    #LicenseCountrySpan select {
        width:350px
    }

    @media (max-width:320px)    {
        #ddlEnrollmentStatus, #DegreeCountryDropDownList, #DegreeStateDropDownList select{
            width:100%
        }

        #LicenseCountrySpan, EducationLevelSpan, #DegreeCountrySpan, #DegreeStateSpan {
            width:100%
        }
        
        #LicenseCountrySpan select, EducationLevelSpan select, #DegreeCountrySpan select, #DegreeStateSpan select{
            width:100%
        }        
    }

    @media (max-width:500px)    {
        #DegreeSpan {
        width:100%
        }
        #DegreeSpan input{
        width:90%
        }
    }
}
.resumeEducationEnrollment .dataInputLabel { 
	width:170px;
}
.resumeEducationDegree,
.resumeEducationCert { 
	margin-bottom:25px;
}
.resumeEducationDegreeCourses,
.resumeEducationDegreeHonors,
.resumeEducationDegreeActivities { 
	display:inline-block; 
	width:286px; 
	vertical-align:top; 
	margin-right:20px;
}
.resumeEducationDegreeGPA { 
	display:inline-block; 
	width:66px; 
	vertical-align:top; 
	background-color:#fff; 
	margin-right:20px;
	.error { 
		font-size: 13px;
	}
}

.resumeEducationNCRCSInput {
 display: inline-block;
 vertical-align: top;
 margin-right: 18px;
 label {
  display: block !important;
  margin: 10px 0 5px 0;
  font-size: 15px;
  &.checkbox {
   display: inline !important;
  }
 }
}

.resumeEducationLicenceDetail,
.resumeEducationLicenceEndorsements,
.resumeEducationLicenceHeld,
.resumeEducationLicenceState,
.resumeEducationLicenceType { 
	display:inline-block; 
	vertical-align:top; 
	margin-right:18px;
}
.resumeEducationLicenceEndorsements { 
	margin-right:0;
}
.resumeEducationLicenceHeld label,
.resumeEducationLicenceState label,
.resumeEducationLicenceType label,
.resumeEducationLicenceEndorsements label:first-child { 
	display:block !important; 
	margin:10px 0 5px 0;
}
.resumeEducationLicenceDisplay { 
	display:block; margin-top:10px;
}
.resumeEducationLicenceEndorsementList td	{ 
	padding:0 20px 10px 0;
}

.resumeEducationLicenceEndorsementList label	{ 
	display:inline;
}
.resumeEducationLanguageList,
.resumeEducationSkillList { 
	//width:500px; 
	max-height:150px; 
	overflow-y:scroll;
}

// Resume wizard summary tab
.resumeSummary { 
	margin:10px 0;
}

// Resume wizard options tab
.resumeOptionalSection { 
	margin-bottom:10px;
}
    
  .divider{
    width:200px;
    height:auto;
    margin-left: 20px;  
}   

.resumeOptionalSectionList .dataInputHorizontalRadio label {
  line-height: normal;
  vertical-align: top;
  width: 200px;
  margin-bottom: 5px; }

.resumeProfile .sample {
  width: 700px; }

// Resume wizard Profile tab
.resumeProfile {
/**@media (min-width:480px){
  .col-xs-1,
  .col-xs-2,
  .col-xs-3,
  .col-xs-4,
  .col-xs-5,
  .col-xs-6,
  .col-xs-7,
  .col-xs-8,
  .col-xs-9,
  .col-xs-10,
  .col-xs-11,
  .col-xs-12{
  float:left;
  }
}

@media (max-width:480px){
.col-xs-1,
  .col-xs-2,
  .col-xs-3,
  .col-xs-4,
  .col-xs-5,
  .col-xs-6,
  .col-xs-7,
  .col-xs-8,
  .col-xs-9,
  .col-xs-10,
  .col-xs-11,
  .col-xs-12{
  float:none;
  }
}**/

  .col-xs-1,
  .col-xs-2,
  .col-xs-3,
  .col-xs-4,
  .col-xs-5,
  .col-xs-6,
  .col-xs-7,
  .col-xs-8,
  .col-xs-9,
  .col-xs-10,
  .col-xs-11,
  .col-xs-12,
  .col-sm-1,
  .col-sm-2,
  .col-sm-3,
  .col-sm-4,
  .col-sm-5,
  .col-sm-6,
  .col-sm-7,
  .col-sm-8,
  .col-sm-9,
  .col-sm-10,
  .col-sm-11,
  .col-sm-12,
  .col-md-1,
  .col-md-2,
  .col-md-3,
  .col-md-4,
  .col-md-5,
  .col-md-6,
  .col-md-7,
  .col-md-8,
  .col-md-9,
  .col-md-10,
  .col-md-11,
  .col-md-12{
  padding-left:0px;
  padding-right:0px;
  }

/*	.dataInputLabel { 
		width:220px; 
	}*/
	.dataInputRow a { 
		font-size:15px; 
		line-height:22px; 
	}
	.instructionalTextBlock { 
		display:block;
	}
	.dataInputHorizontalRadio label	{ 
		margin-left:0;
	}

	.alienRegistrationDetail,
	.militaryServiceDetails { 
		background:#efeef3; 
		border:1px solid #d9d7e4; 
		@include rounded(6px, 6px, 6px, 6px);
		padding:10px; 
		.dataInputLabel { 
			//width:200px; 
			//margin-right:10px; 
		}
		input[type='text'] { 
			background-image:none; 
			background-color:#fff; 
		}
	}
	.militaryServiceLeft { 
		//display:inline-block; 
		//width:530px; 
		vertical-align:top; 
		//margin-right:25px;
		.dataInputField { 
			//width:300px;
		}
	}
	.militaryServiceRight { 
		//display:inline-block; 
		vertical-align:top;
		.dataInputLabel { 
			//width:230px; 
			//margin-right:10px; 
		}
		.dataInputField { 
			//width:255px;
		}
	}	
	.resumeProfileSkillList { 
		font-size:15px;
	}

	// Overriding the default size of sm

	/**@media (min-width:550px){
	  .col-sm-1,
	  .col-sm-2,
	  .col-sm-3,
	  .col-sm-4,
	  .col-sm-5,
	  .col-sm-6,
	  .col-sm-7,
	  .col-sm-8,
	  .col-sm-9,
	  .col-sm-10,
	  .col-sm-11,
	  .col-sm-12{  padding-left:0px;
  padding-right:0px; }
	}**/
}

// Resume wizard Profile & Preferences tab
.resumePreferences { 
	padding:0 6px;
}
.resumePreferencesJobPreferences {
	.dataInputLabel { 
		//width:380px; 
		line-height:25px;
	}
	.dataInputField { 
		//width:260px;
	}
	.instructionalTextBlock { 
		display:inline-block; 
		//width:400px; 
		text-align:justify; 
		//margin-left:10px; 
		vertical-align:top;
	}
	.dataInputHorizontalRadio label	{ 
		line-height:25px;
	}
}
.resumePreferencesJobPreferences .dataInputHorizontalRadio input[type=radio],
.resumePreferencesLocation .dataInputHorizontalRadio input[type=radio] { 
	position:relative; 
	top:4px;
}
.resumePreferencesLocation .dataInputGroupedItemHorizontal { 
	font-size:15px; 
	//margin-right:15px;
}
.resumePreferencesLocation .dataInputGroupedItemHorizontal input[type=text],
.resumePreferencesJobPreferences .dataInputGroupedItemHorizontal input[type=text] { 
	height:19px;
}
.resumePreferencesLocation .dataInputGroupedItemHorizontal label,
.resumePreferencesLocation .dataInputGroupedItemHorizontal .requiredData { 
	line-height:25px;
}
.resumePreferencesLocation .dataInputSelectOptionRow label { 
	width:190px; 
	display:inline-block;
}

// Resume wizard review tab
.resumeReviewOptions { 
	margin-bottom:15px; 
	position:relative; 
	height:26px;
}
.resumeOutputOptions { 
	position:absolute;
	.dataInputLabel { 
		width:100px; 
		line-height:26px; 
		font-size:16px;
	}
	.dataInputField { 
		margin-right:25px; 
	}
}
.resumeProductionOptions { 
	//position:absolute; 
	right:0; 
	top:0; 
	text-align:right;
	> *	{ 
		display:inline-block; 
		vertical-align:top; 
		line-height:26px; 
		margin-left:8px;
	}
}
.resumeReviewPreview {}
.resumeReviewPreviewOutput { 
	overflow-y:scroll; 
	text-decoration:none; 
	height:500px; 
	border:1px solid #264c69;
}

.LoginRegisterPanel tbody tr td #panLogin table tbody tr td .inFieldLabel label {
    margin-top: 4px;
}

.findAJob .inFieldLabelStyled label {margin-top:7px;}

.reviewResumeHint {
	text-align: right;
	position: relative;
	margin-bottom: 10px;
}

  #LanguageProficiencyTable, #LanguageProficiencyTable td, #LanguageProficiencyTable th{
    vertical-align: top; 
    border: 1px solid black; 
    border-collapse: collapse;         
  }
  
  #LanguageProficiencyTable th {
    text-align: center;
  }  
       
  #LanguageProficiencyTable td, #LanguageProficiencyTable th {
  padding:4px;
  }
	
.resumeJustify {
    text-align: justify
}

// Remove padding for the bootstrap columns
.col-xs-1,
.col-xs-2,
.col-xs-3,
.col-xs-4,
.col-xs-5,
.col-xs-6,
.col-xs-7,
.col-xs-8,
.col-xs-9,
.col-xs-10,
.col-xs-11,
.col-xs-12,
.col-sm-1,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-md-1,
.col-md-2,
.col-md-3,
.col-md-4,
.col-md-5,
.col-md-6,
.col-md-7,
.col-md-8,
.col-md-9,
.col-md-10,
.col-md-11,
.col-md-12{
padding-left:0px;
padding-right:0px;
}

#selectedQuestions {
    right:50px;
    bottom:5px;
}


@media (max-width:480px)    {
    #RCPNavigation #RCPNavigationBottom ol li    {
    width:100%;
        }
            #selectedQuestions {
    width:90%;
    right:5px !important;
    }

    #selectedQuestionsInner #lbSelectedStatements   {
        width:95% !important;

    }

    .resumeEducation input[type="text"] {
        max-width:275px;
    }

    .resumeJobList{
        td{
            display:block;
            width:100% !important;
        }
        td:nth-child(2){
            display:none;
        }
    }
    .resumeEducationLicenceEndorsementList td{
            display:block;
            width:100% !important;
        }
	#LanguageProficiencyTable th{
		padding:0px !important;
	}
}


@media (max-width:768px)    {
  #RCPNavigation #RCPNavigationBottom ol li    {
    width:50%;
    padding-right:0px;
    }
}

@media (max-width:768px) {
.resumePreviewModal .previewScrollPane{
    max-height:500px;
    }
}

.label-small{
	td{
	white-space: pre-wrap !important;
	}
}
